export interface IApiResponseSuccess<T> {
    result: T;
}
export interface IApiResponseError {
    error: IApiError;
}
export interface IApiError {
    id: number;
    msg: string;
}
export function isApiResponseError<T>(data: IApiResponseError | IApiResponseSuccess<T>): data is IApiResponseError {
    return (<IApiResponseError>data).error != null;
}
